unit uMain;

{$mode objfpc}{$H+}

interface

uses
  Classes,  SysUtils, FileUtil, Forms,
  Controls, Graphics, Dialogs, Buttons,
  uUtils;

type

  { TForm1 }
  TConfigRecord = record    // <--- this is the record definition
    Changed    : Boolean;
    Directory  : String;
    Valid      :Boolean;
   end;

  TForm1 = class(TForm)
    btnCfg: TBitBtn;
    btnClose: TBitBtn;
    procedure btnCfgClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);

  private
   procedure ReloadData; // <--- call it when data has been changed
   Procedure ProcesConfigChange;

  public
   function Swap(aStr : String) : String;
  end;

var
  Form1: TForm1;
  CONFIGREC : TConfigRecord;


implementation
 Uses uCFG;

{$R *.lfm}

{ TForm1 }
 procedure TForm1.FormCreate(Sender: TObject);
  var str :string = 'String';
 begin
   Swap(str);
 end;

function TForm1.Swap(aStr : String) : String;
 Var
  i : String = 'Here You go';
 begin
  i := GetString(i);
 end;

procedure TForm1.ReloadData;
begin

end;

Procedure TForm1.ProcesConfigChange;
Begin

end;

procedure TForm1.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.btnCfgClick(Sender: TObject);
begin
 CONFIGREC.Changed := False;
 Form2.DoShowModal(CONFIGREC);
 If CONFIGREC.Changed Then Begin ReloadData; end;
end;

end.

